# Name

HPL_ptimer_cputime Return the CPU time.

# Synopsis

`#include "hpl.h"`
`double` `HPL_ptimer_cputime();`

# Description

HPL_ptimer_cputime returns the cpu time. If HPL_USE_CLOCK is defined, the clock() function is used to return an approximation of processor time used by the program. The value returned is the CPU time used so far as a clock_t; to get the number of seconds used, the result is divided by CLOCKS_PER_SEC. This function is part of the ANSI/ISO C standard library. If HPL_USE_TIMES is defined, the times() function is used instead. This function returns the current process times. times() returns the number of clock ticks that have elapsed since the system has been up. Otherwise and by default, the standard library function getrusage() is used.

# See Also

HPL_ptimer_walltime, HPL_ptimer.